Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006658OCaml~DO NOT USE (was: OCaml general)public2014-11-14 22:072015-04-02 06:02
Reportergerd 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.1 
Target Version4.02.2+dev / +rc1Fixed in Version4.02.2+dev / +rc1 
Summary0006658: cross-compiler: version check not working on OS X
DescriptionThis is in the configure script: The sed script

ocaml_source_version=`sed -n '1 s/\([0-9\.]\+\).*/\1/ p' < ../../VERSION`

does not work on OSX, outputs always the empty string. Correct is:

ocaml_source_version=`sed -n -e '1 s/\([0-9.]*\).*/\1/ p' < ../../VERSION`
Tagspatch
Attached Files

- Relationships

-  Notes
(0012528)
gerd (reporter)
2014-11-14 22:09

In the line before, ocaml_system_version should be changed to

ocaml_system_version=`ocamlrun -version | sed 's/[^0-9]*\([0-9.]*\).*/\1/'`

(also replacing * for \+)-
(0012929)
whitequark (developer)
2014-12-21 23:45

Reminder sent to: gasche

@gasche, can you please apply the trivial fix listed in the issue?
(0012954)
doligez (administrator)
2014-12-22 23:58

This one is on MacOS, so it's for me rather than @gasche.
(0013635)
doligez (administrator)
2015-04-02 06:02

Fixed in branch 4.02 (rev 15981). Thanks for the report and for the patch.

- Issue History
Date Modified Username Field Change
2014-11-14 22:07 gerd New Issue
2014-11-14 22:09 gerd Note Added: 0012528
2014-12-21 23:45 whitequark Note Added: 0012929
2014-12-22 23:57 doligez Tag Attached: patch
2014-12-22 23:58 doligez Note Added: 0012954
2014-12-22 23:58 doligez Assigned To => doligez
2014-12-22 23:58 doligez Status new => assigned
2014-12-22 23:58 doligez Status assigned => acknowledged
2014-12-22 23:58 doligez Target Version => 4.02.2+dev / +rc1
2015-04-02 06:02 doligez Note Added: 0013635
2015-04-02 06:02 doligez Status acknowledged => closed
2015-04-02 06:02 doligez Resolution open => fixed
2015-04-02 06:02 doligez Fixed in Version => 4.02.2+dev / +rc1
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker